---
title: TelephonyProvidersEdgeApi
---

:::error
**The Ruby SDK is deprecated as of 9/16/2020**

The Genesys Cloud Ruby SDK (v96.0.0) will be frozen at its current version level. Any new enhancements to our API or bug fixes will not be backported. If you do need to take advantage of new features or bug fixes outside the Genesys Cloud Ruby SDK, you will need to use the Genesys Cloud REST endpoints directly. More information can be found in the [Official Announcement](https://developer.mypurecloud.com/forum/t/announcement-genesys-cloud-ruby-sdk-end-of-life/8850).
:::


## PureCloud::TelephonyProvidersEdgeApi

All URIs are relative to *https://api.mypurecloud.com*

Method | Description
------------- | ------------- | -------------
[**delete_telephony_providers_edge**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edge) | Delete a edge.
[**delete_telephony_providers_edge_logicalinterface**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edge_logicalinterface) | Delete an edge logical interface
[**delete_telephony_providers_edge_softwareupdate**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edge_softwareupdate) | Cancels any in-progress update for this edge.
[**delete_telephony_providers_edges_certificateauthority**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_certificateauthority) | Delete a certificate authority.
[**delete_telephony_providers_edges_didpool**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_didpool) | Delete a DID Pool by ID.
[**delete_telephony_providers_edges_edgegroup**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_edgegroup) | Delete an edge group.
[**delete_telephony_providers_edges_extensionpool**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_extensionpool) | Delete an extension pool by ID
[**delete_telephony_providers_edges_outboundroute**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_outboundroute) | Delete Outbound Route
[**delete_telephony_providers_edges_phone**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_phone) | Delete a Phone by ID
[**delete_telephony_providers_edges_phonebasesetting**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_phonebasesetting) | Delete a Phone Base Settings by ID
[**delete_telephony_providers_edges_site**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_site) | Delete a Site by ID
[**delete_telephony_providers_edges_site_outboundroute**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_site_outboundroute) | Delete Outbound Route
[**delete_telephony_providers_edges_trunkbasesetting**](TelephonyProvidersEdgeApi.html#delete_telephony_providers_edges_trunkbasesetting) | Delete a Trunk Base Settings object by ID
[**get_configuration_schemas_edges_vnext**](TelephonyProvidersEdgeApi.html#get_configuration_schemas_edges_vnext) | Lists available schema categories (Deprecated)
[**get_configuration_schemas_edges_vnext_schema_category**](TelephonyProvidersEdgeApi.html#get_configuration_schemas_edges_vnext_schema_category) | List schemas of a specific category (Deprecated)
[**get_configuration_schemas_edges_vnext_schema_category_schema_type**](TelephonyProvidersEdgeApi.html#get_configuration_schemas_edges_vnext_schema_category_schema_type) | List schemas of a specific category (Deprecated)
[**get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id**](TelephonyProvidersEdgeApi.html#get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id) | Get a json schema (Deprecated)
[**get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id**](TelephonyProvidersEdgeApi.html#get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id) | Get metadata for a schema (Deprecated)
[**get_telephony_providers_edge**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge) | Get edge.
[**get_telephony_providers_edge_diagnostic_nslookup**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_diagnostic_nslookup) | Get networking-related information from an Edge for a target IP or host.
[**get_telephony_providers_edge_diagnostic_ping**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_diagnostic_ping) | Get networking-related information from an Edge for a target IP or host.
[**get_telephony_providers_edge_diagnostic_route**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_diagnostic_route) | Get networking-related information from an Edge for a target IP or host.
[**get_telephony_providers_edge_diagnostic_tracepath**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_diagnostic_tracepath) | Get networking-related information from an Edge for a target IP or host.
[**get_telephony_providers_edge_line**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_line) | Get line
[**get_telephony_providers_edge_lines**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_lines) | Get the list of lines.
[**get_telephony_providers_edge_logicalinterface**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_logicalinterface) | Get an edge logical interface
[**get_telephony_providers_edge_logicalinterfaces**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_logicalinterfaces) | Get edge logical interfaces.
[**get_telephony_providers_edge_logs_job**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_logs_job) | Get an Edge logs job.
[**get_telephony_providers_edge_metrics**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_metrics) | Get the edge metrics.
[**get_telephony_providers_edge_physicalinterface**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_physicalinterface) | Get edge physical interface.
[**get_telephony_providers_edge_physicalinterfaces**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_physicalinterfaces) | Retrieve a list of all configured physical interfaces from a specific edge.
[**get_telephony_providers_edge_setuppackage**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_setuppackage) | Get the setup package for a locally deployed edge device. This is needed to complete the setup process for the virtual edge.
[**get_telephony_providers_edge_softwareupdate**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_softwareupdate) | Gets software update status information about any edge.
[**get_telephony_providers_edge_softwareversions**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_softwareversions) | Gets all the available software versions for this edge.
[**get_telephony_providers_edge_trunks**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edge_trunks) | Get the list of available trunks for the given Edge.
[**get_telephony_providers_edges**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges) | Get the list of edges.
[**get_telephony_providers_edges_availablelanguages**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_availablelanguages) | Get the list of available languages.
[**get_telephony_providers_edges_certificateauthorities**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_certificateauthorities) | Get the list of certificate authorities.
[**get_telephony_providers_edges_certificateauthority**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_certificateauthority) | Get a certificate authority.
[**get_telephony_providers_edges_did**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_did) | Get a DID by ID.
[**get_telephony_providers_edges_didpool**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_didpool) | Get a DID Pool by ID.
[**get_telephony_providers_edges_didpools**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_didpools) | Get a listing of DID Pools
[**get_telephony_providers_edges_dids**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_dids) | Get a listing of DIDs
[**get_telephony_providers_edges_edgegroup**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_edgegroup) | Get edge group.
[**get_telephony_providers_edges_edgegroup_edgetrunkbase**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_edgegroup_edgetrunkbase) | Gets the edge trunk base associated with the edge group
[**get_telephony_providers_edges_edgegroups**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_edgegroups) | Get the list of edge groups.
[**get_telephony_providers_edges_edgeversionreport**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_edgeversionreport) | Get the edge version report.
[**get_telephony_providers_edges_extension**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_extension) | Get an extension by ID.
[**get_telephony_providers_edges_extensionpool**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_extensionpool) | Get an extension pool by ID
[**get_telephony_providers_edges_extensionpools**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_extensionpools) | Get a listing of extension pools
[**get_telephony_providers_edges_extensions**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_extensions) | Get a listing of extensions
[**get_telephony_providers_edges_line**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_line) | Get a Line by ID
[**get_telephony_providers_edges_linebasesetting**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_linebasesetting) | Get a line base settings object by ID
[**get_telephony_providers_edges_linebasesettings**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_linebasesettings) | Get a listing of line base settings objects
[**get_telephony_providers_edges_lines**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_lines) | Get a list of Lines
[**get_telephony_providers_edges_lines_template**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_lines_template) | Get a Line instance template based on a Line Base Settings object. This object can then be modified and saved as a new Line instance
[**get_telephony_providers_edges_logicalinterfaces**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_logicalinterfaces) | Get edge logical interfaces.
[**get_telephony_providers_edges_metrics**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_metrics) | Get the metrics for a list of edges.
[**get_telephony_providers_edges_outboundroute**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_outboundroute) | Get outbound route
[**get_telephony_providers_edges_outboundroutes**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_outboundroutes) | Get outbound routes
[**get_telephony_providers_edges_phone**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phone) | Get a Phone by ID
[**get_telephony_providers_edges_phonebasesetting**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phonebasesetting) | Get a Phone Base Settings object by ID
[**get_telephony_providers_edges_phonebasesettings**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phonebasesettings) | Get a list of Phone Base Settings objects
[**get_telephony_providers_edges_phonebasesettings_availablemetabases**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phonebasesettings_availablemetabases) | Get a list of available makes and models to create a new Phone Base Settings
[**get_telephony_providers_edges_phonebasesettings_template**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phonebasesettings_template) | Get a Phone Base Settings instance template from a given make and model. This object can then be modified and saved as a new Phone Base Settings instance
[**get_telephony_providers_edges_phones**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phones) | Get a list of Phone Instances
[**get_telephony_providers_edges_phones_template**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_phones_template) | Get a Phone instance template based on a Phone Base Settings object. This object can then be modified and saved as a new Phone instance
[**get_telephony_providers_edges_physicalinterfaces**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_physicalinterfaces) | Get physical interfaces for edges.
[**get_telephony_providers_edges_site**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site) | Get a Site by ID.
[**get_telephony_providers_edges_site_numberplan**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site_numberplan) | Get a Number Plan by ID.
[**get_telephony_providers_edges_site_numberplans**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site_numberplans) | Get the list of Number Plans for this Site. Only fetches the first 200 records.
[**get_telephony_providers_edges_site_numberplans_classifications**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site_numberplans_classifications) | Get a list of Classifications for this Site
[**get_telephony_providers_edges_site_outboundroute**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site_outboundroute) | Get an outbound route
[**get_telephony_providers_edges_site_outboundroutes**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_site_outboundroutes) | Get outbound routes
[**get_telephony_providers_edges_sites**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_sites) | Get the list of Sites.
[**get_telephony_providers_edges_timezones**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_timezones) | Get a list of Edge-compatible time zones
[**get_telephony_providers_edges_trunk**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunk) | Get a Trunk by ID
[**get_telephony_providers_edges_trunk_metrics**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunk_metrics) | Get the trunk metrics.
[**get_telephony_providers_edges_trunkbasesetting**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunkbasesetting) | Get a Trunk Base Settings object by ID
[**get_telephony_providers_edges_trunkbasesettings**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunkbasesettings) | Get Trunk Base Settings listing
[**get_telephony_providers_edges_trunkbasesettings_availablemetabases**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunkbasesettings_availablemetabases) | Get a list of available makes and models to create a new Trunk Base Settings
[**get_telephony_providers_edges_trunkbasesettings_template**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunkbasesettings_template) | Get a Trunk Base Settings instance template from a given make and model. This object can then be modified and saved as a new Trunk Base Settings instance
[**get_telephony_providers_edges_trunks**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunks) | Get the list of available trunks.
[**get_telephony_providers_edges_trunks_metrics**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunks_metrics) | Get the metrics for a list of trunks.
[**get_telephony_providers_edges_trunkswithrecording**](TelephonyProvidersEdgeApi.html#get_telephony_providers_edges_trunkswithrecording) | Get Counts of trunks that have recording disabled or enabled
[**post_telephony_providers_edge_diagnostic_nslookup**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_diagnostic_nslookup) | Nslookup request command to collect networking-related information from an Edge for a target IP or host.
[**post_telephony_providers_edge_diagnostic_ping**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_diagnostic_ping) | Ping Request command to collect networking-related information from an Edge for a target IP or host.
[**post_telephony_providers_edge_diagnostic_route**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_diagnostic_route) | Route request command to collect networking-related information from an Edge for a target IP or host.
[**post_telephony_providers_edge_diagnostic_tracepath**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_diagnostic_tracepath) | Tracepath request command to collect networking-related information from an Edge for a target IP or host.
[**post_telephony_providers_edge_logicalinterfaces**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_logicalinterfaces) | Create an edge logical interface.
[**post_telephony_providers_edge_logs_job_upload**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_logs_job_upload) | Request that the specified fileIds be uploaded from the Edge.
[**post_telephony_providers_edge_logs_jobs**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_logs_jobs) | Create a job to upload a list of Edge logs.
[**post_telephony_providers_edge_reboot**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_reboot) | Reboot an Edge
[**post_telephony_providers_edge_softwareupdate**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_softwareupdate) | Starts a software update for this edge.
[**post_telephony_providers_edge_statuscode**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_statuscode) | Take an Edge in or out of service
[**post_telephony_providers_edge_unpair**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edge_unpair) | Unpair an Edge
[**post_telephony_providers_edges**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges) | Create an edge.
[**post_telephony_providers_edges_addressvalidation**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_addressvalidation) | Validates a street address
[**post_telephony_providers_edges_certificateauthorities**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_certificateauthorities) | Create a certificate authority.
[**post_telephony_providers_edges_didpools**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_didpools) | Create a new DID pool
[**post_telephony_providers_edges_edgegroups**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_edgegroups) | Create an edge group.
[**post_telephony_providers_edges_extensionpools**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_extensionpools) | Create a new extension pool
[**post_telephony_providers_edges_outboundroutes**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_outboundroutes) | Create outbound rule
[**post_telephony_providers_edges_phone_reboot**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_phone_reboot) | Reboot a Phone
[**post_telephony_providers_edges_phonebasesettings**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_phonebasesettings) | Create a new Phone Base Settings object
[**post_telephony_providers_edges_phones**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_phones) | Create a new Phone
[**post_telephony_providers_edges_phones_reboot**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_phones_reboot) | Reboot Multiple Phones
[**post_telephony_providers_edges_site_outboundroutes**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_site_outboundroutes) | Create outbound route
[**post_telephony_providers_edges_site_rebalance**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_site_rebalance) | Triggers the rebalance operation.
[**post_telephony_providers_edges_sites**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_sites) | Create a Site.
[**post_telephony_providers_edges_trunkbasesettings**](TelephonyProvidersEdgeApi.html#post_telephony_providers_edges_trunkbasesettings) | Create a Trunk Base Settings object
[**put_telephony_providers_edge**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edge) | Update a edge.
[**put_telephony_providers_edge_line**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edge_line) | Update a line.
[**put_telephony_providers_edge_logicalinterface**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edge_logicalinterface) | Update an edge logical interface.
[**put_telephony_providers_edges_certificateauthority**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_certificateauthority) | Update a certificate authority.
[**put_telephony_providers_edges_did**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_did) | Update a DID by ID.
[**put_telephony_providers_edges_didpool**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_didpool) | Update a DID Pool by ID.
[**put_telephony_providers_edges_edgegroup**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_edgegroup) | Update an edge group.
[**put_telephony_providers_edges_edgegroup_edgetrunkbase**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_edgegroup_edgetrunkbase) | Update the edge trunk base associated with the edge group
[**put_telephony_providers_edges_extension**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_extension) | Update an extension by ID.
[**put_telephony_providers_edges_extensionpool**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_extensionpool) | Update an extension pool by ID
[**put_telephony_providers_edges_outboundroute**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_outboundroute) | Update outbound route
[**put_telephony_providers_edges_phone**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_phone) | Update a Phone by ID
[**put_telephony_providers_edges_phonebasesetting**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_phonebasesetting) | Update a Phone Base Settings by ID
[**put_telephony_providers_edges_site**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_site) | Update a Site by ID.
[**put_telephony_providers_edges_site_numberplans**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_site_numberplans) | Update the list of Number Plans. A user can update maximum 200 number plans at a time.
[**put_telephony_providers_edges_site_outboundroute**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_site_outboundroute) | Update outbound route
[**put_telephony_providers_edges_trunkbasesetting**](TelephonyProvidersEdgeApi.html#put_telephony_providers_edges_trunkbasesetting) | Update a Trunk Base Settings object by ID
{: class="table table-striped"}

<a name="delete_telephony_providers_edge"></a>

##  delete_telephony_providers_edge(edge_id)



Delete a edge.



Wraps DELETE /api/v2/telephony/providers/edges/{edgeId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Delete a edge.
  api_instance.delete_telephony_providers_edge(edge_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edge: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edge_logicalinterface"></a>

##  delete_telephony_providers_edge_logicalinterface(edge_id, interface_id)



Delete an edge logical interface



Wraps DELETE /api/v2/telephony/providers/edges/{edgeId}/logicalinterfaces/{interfaceId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

interface_id = "interface_id_example" # String | Interface ID


begin
  #Delete an edge logical interface
  api_instance.delete_telephony_providers_edge_logicalinterface(edge_id, interface_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edge_logicalinterface: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **interface_id** | **String**| Interface ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edge_softwareupdate"></a>

##  delete_telephony_providers_edge_softwareupdate(edge_id)



Cancels any in-progress update for this edge.



Wraps DELETE /api/v2/telephony/providers/edges/{edgeId}/softwareupdate 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Cancels any in-progress update for this edge.
  api_instance.delete_telephony_providers_edge_softwareupdate(edge_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edge_softwareupdate: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_certificateauthority"></a>

##  delete_telephony_providers_edges_certificateauthority(certificate_id)



Delete a certificate authority.



Wraps DELETE /api/v2/telephony/providers/edges/certificateauthorities/{certificateId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

certificate_id = "certificate_id_example" # String | Certificate ID


begin
  #Delete a certificate authority.
  api_instance.delete_telephony_providers_edges_certificateauthority(certificate_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_certificateauthority: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certificate_id** | **String**| Certificate ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_didpool"></a>

##  delete_telephony_providers_edges_didpool(did_pool_id)



Delete a DID Pool by ID.



Wraps DELETE /api/v2/telephony/providers/edges/didpools/{didPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

did_pool_id = "did_pool_id_example" # String | DID pool ID


begin
  #Delete a DID Pool by ID.
  api_instance.delete_telephony_providers_edges_didpool(did_pool_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_didpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **did_pool_id** | **String**| DID pool ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_edgegroup"></a>

##  delete_telephony_providers_edges_edgegroup(edge_group_id)



Delete an edge group.



Wraps DELETE /api/v2/telephony/providers/edges/edgegroups/{edgeGroupId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_group_id = "edge_group_id_example" # String | Edge group ID


begin
  #Delete an edge group.
  api_instance.delete_telephony_providers_edges_edgegroup(edge_group_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_edgegroup: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_group_id** | **String**| Edge group ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_extensionpool"></a>

##  delete_telephony_providers_edges_extensionpool(extension_pool_id)



Delete an extension pool by ID



Wraps DELETE /api/v2/telephony/providers/edges/extensionpools/{extensionPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

extension_pool_id = "extension_pool_id_example" # String | Extension pool ID


begin
  #Delete an extension pool by ID
  api_instance.delete_telephony_providers_edges_extensionpool(extension_pool_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_extensionpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **extension_pool_id** | **String**| Extension pool ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_outboundroute"></a>

##  delete_telephony_providers_edges_outboundroute(outbound_route_id)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Delete Outbound Route



Wraps DELETE /api/v2/telephony/providers/edges/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID


begin
  #Delete Outbound Route
  api_instance.delete_telephony_providers_edges_outboundroute(outbound_route_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **outbound_route_id** | **String**| Outbound route ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_phone"></a>

##  delete_telephony_providers_edges_phone(phone_id)



Delete a Phone by ID



Wraps DELETE /api/v2/telephony/providers/edges/phones/{phoneId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_id = "phone_id_example" # String | Phone ID


begin
  #Delete a Phone by ID
  api_instance.delete_telephony_providers_edges_phone(phone_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_phone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_id** | **String**| Phone ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_phonebasesetting"></a>

##  delete_telephony_providers_edges_phonebasesetting(phone_base_id)



Delete a Phone Base Settings by ID



Wraps DELETE /api/v2/telephony/providers/edges/phonebasesettings/{phoneBaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_base_id = "phone_base_id_example" # String | Phone base ID


begin
  #Delete a Phone Base Settings by ID
  api_instance.delete_telephony_providers_edges_phonebasesetting(phone_base_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_phonebasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_base_id** | **String**| Phone base ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_site"></a>

##  delete_telephony_providers_edges_site(site_id)



Delete a Site by ID



Wraps DELETE /api/v2/telephony/providers/edges/sites/{siteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID


begin
  #Delete a Site by ID
  api_instance.delete_telephony_providers_edges_site(site_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_site: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_site_outboundroute"></a>

##  delete_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id)



Delete Outbound Route



Wraps DELETE /api/v2/telephony/providers/edges/sites/{siteId}/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID


begin
  #Delete Outbound Route
  api_instance.delete_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_site_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **outbound_route_id** | **String**| Outbound route ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_telephony_providers_edges_trunkbasesetting"></a>

##  delete_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id)



Delete a Trunk Base Settings object by ID



Wraps DELETE /api/v2/telephony/providers/edges/trunkbasesettings/{trunkBaseSettingsId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_base_settings_id = "trunk_base_settings_id_example" # String | Trunk Base ID


begin
  #Delete a Trunk Base Settings object by ID
  api_instance.delete_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->delete_telephony_providers_edges_trunkbasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_base_settings_id** | **String**| Trunk Base ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_configuration_schemas_edges_vnext"></a>

## [**SchemaCategoryEntityListing**](SchemaCategoryEntityListing.html) get_configuration_schemas_edges_vnext(opts)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Lists available schema categories (Deprecated)



Wraps GET /api/v2/configuration/schemas/edges/vnext 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #Lists available schema categories (Deprecated)
  result = api_instance.get_configuration_schemas_edges_vnext(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_configuration_schemas_edges_vnext: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**SchemaCategoryEntityListing**](SchemaCategoryEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_configuration_schemas_edges_vnext_schema_category"></a>

## [**SchemaReferenceEntityListing**](SchemaReferenceEntityListing.html) get_configuration_schemas_edges_vnext_schema_category(schema_category, opts)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

List schemas of a specific category (Deprecated)



Wraps GET /api/v2/configuration/schemas/edges/vnext/{schemaCategory} 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

schema_category = "schema_category_example" # String | Schema category

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #List schemas of a specific category (Deprecated)
  result = api_instance.get_configuration_schemas_edges_vnext_schema_category(schema_category, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_configuration_schemas_edges_vnext_schema_category: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schema_category** | **String**| Schema category |  |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**SchemaReferenceEntityListing**](SchemaReferenceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_configuration_schemas_edges_vnext_schema_category_schema_type"></a>

## [**SchemaReferenceEntityListing**](SchemaReferenceEntityListing.html) get_configuration_schemas_edges_vnext_schema_category_schema_type(schema_category, schema_type, opts)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

List schemas of a specific category (Deprecated)



Wraps GET /api/v2/configuration/schemas/edges/vnext/{schemaCategory}/{schemaType} 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

schema_category = "schema_category_example" # String | Schema category

schema_type = "schema_type_example" # String | Schema type

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #List schemas of a specific category (Deprecated)
  result = api_instance.get_configuration_schemas_edges_vnext_schema_category_schema_type(schema_category, schema_type, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_configuration_schemas_edges_vnext_schema_category_schema_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schema_category** | **String**| Schema category |  |
 **schema_type** | **String**| Schema type |  |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**SchemaReferenceEntityListing**](SchemaReferenceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id"></a>

## [**Organization**](Organization.html) get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id(schema_category, schema_type, schema_id)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Get a json schema (Deprecated)



Wraps GET /api/v2/configuration/schemas/edges/vnext/{schemaCategory}/{schemaType}/{schemaId} 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

schema_category = "schema_category_example" # String | Schema category

schema_type = "schema_type_example" # String | Schema type

schema_id = "schema_id_example" # String | Schema ID


begin
  #Get a json schema (Deprecated)
  result = api_instance.get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id(schema_category, schema_type, schema_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schema_category** | **String**| Schema category |  |
 **schema_type** | **String**| Schema type |  |
 **schema_id** | **String**| Schema ID |  |
{: class="table table-striped"}


### Return type

[**Organization**](Organization.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id"></a>

## [**Organization**](Organization.html) get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id(schema_category, schema_type, schema_id, extension_type, metadata_id, opts)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Get metadata for a schema (Deprecated)



Wraps GET /api/v2/configuration/schemas/edges/vnext/{schemaCategory}/{schemaType}/{schemaId}/{extensionType}/{metadataId} 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

schema_category = "schema_category_example" # String | Schema category

schema_type = "schema_type_example" # String | Schema type

schema_id = "schema_id_example" # String | Schema ID

extension_type = "extension_type_example" # String | extension

metadata_id = "metadata_id_example" # String | Metadata ID

opts = { 
  type: "type_example" # String | Type
}

begin
  #Get metadata for a schema (Deprecated)
  result = api_instance.get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id(schema_category, schema_type, schema_id, extension_type, metadata_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_configuration_schemas_edges_vnext_schema_category_schema_type_schema_id_extension_type_metadata_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schema_category** | **String**| Schema category |  |
 **schema_type** | **String**| Schema type |  |
 **schema_id** | **String**| Schema ID |  |
 **extension_type** | **String**| extension |  |
 **metadata_id** | **String**| Metadata ID |  |
 **type** | **String**| Type | [optional]  |
{: class="table table-striped"}


### Return type

[**Organization**](Organization.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge"></a>

## [**Edge**](Edge.html) get_telephony_providers_edge(edge_id, opts)



Get edge.



Wraps GET /api/v2/telephony/providers/edges/{edgeId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  expand: ["expand_example"] # Array<String> | Fields to expand in the response, comma-separated
}

begin
  #Get edge.
  result = api_instance.get_telephony_providers_edge(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response, comma-separated | [optional] <br />**Values**: site |
{: class="table table-striped"}


### Return type

[**Edge**](Edge.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_diagnostic_nslookup"></a>

## [**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html) get_telephony_providers_edge_diagnostic_nslookup(edge_id)



Get networking-related information from an Edge for a target IP or host.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/diagnostic/nslookup 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Get networking-related information from an Edge for a target IP or host.
  result = api_instance.get_telephony_providers_edge_diagnostic_nslookup(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_diagnostic_nslookup: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_diagnostic_ping"></a>

## [**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html) get_telephony_providers_edge_diagnostic_ping(edge_id)



Get networking-related information from an Edge for a target IP or host.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/diagnostic/ping 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Get networking-related information from an Edge for a target IP or host.
  result = api_instance.get_telephony_providers_edge_diagnostic_ping(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_diagnostic_ping: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_diagnostic_route"></a>

## [**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html) get_telephony_providers_edge_diagnostic_route(edge_id)



Get networking-related information from an Edge for a target IP or host.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/diagnostic/route 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Get networking-related information from an Edge for a target IP or host.
  result = api_instance.get_telephony_providers_edge_diagnostic_route(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_diagnostic_route: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_diagnostic_tracepath"></a>

## [**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html) get_telephony_providers_edge_diagnostic_tracepath(edge_id)



Get networking-related information from an Edge for a target IP or host.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/diagnostic/tracepath 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Get networking-related information from an Edge for a target IP or host.
  result = api_instance.get_telephony_providers_edge_diagnostic_tracepath(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_diagnostic_tracepath: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnosticResponse**](EdgeNetworkDiagnosticResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_line"></a>

## [**EdgeLine**](EdgeLine.html) get_telephony_providers_edge_line(edge_id, line_id)



Get line



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/lines/{lineId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

line_id = "line_id_example" # String | Line ID


begin
  #Get line
  result = api_instance.get_telephony_providers_edge_line(edge_id, line_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_line: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **line_id** | **String**| Line ID |  |
{: class="table table-striped"}


### Return type

[**EdgeLine**](EdgeLine.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_lines"></a>

## [**EdgeLineEntityListing**](EdgeLineEntityListing.html) get_telephony_providers_edge_lines(edge_id, opts)



Get the list of lines.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/lines 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #Get the list of lines.
  result = api_instance.get_telephony_providers_edge_lines(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_lines: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**EdgeLineEntityListing**](EdgeLineEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_logicalinterface"></a>

## [**DomainLogicalInterface**](DomainLogicalInterface.html) get_telephony_providers_edge_logicalinterface(edge_id, interface_id, opts)



Get an edge logical interface



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/logicalinterfaces/{interfaceId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

interface_id = "interface_id_example" # String | Interface ID

opts = { 
  expand: ["expand_example"] # Array<String> | Field to expand in the response
}

begin
  #Get an edge logical interface
  result = api_instance.get_telephony_providers_edge_logicalinterface(edge_id, interface_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_logicalinterface: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **interface_id** | **String**| Interface ID |  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Field to expand in the response | [optional] <br />**Values**: externalTrunkBaseAssignments, phoneTrunkBaseAssignments |
{: class="table table-striped"}


### Return type

[**DomainLogicalInterface**](DomainLogicalInterface.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_logicalinterfaces"></a>

## [**LogicalInterfaceEntityListing**](LogicalInterfaceEntityListing.html) get_telephony_providers_edge_logicalinterfaces(edge_id, opts)



Get edge logical interfaces.

Retrieve a list of all configured logical interfaces from a specific edge.

Wraps GET /api/v2/telephony/providers/edges/{edgeId}/logicalinterfaces 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  expand: ["expand_example"] # Array<String> | Field to expand in the response
}

begin
  #Get edge logical interfaces.
  result = api_instance.get_telephony_providers_edge_logicalinterfaces(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_logicalinterfaces: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Field to expand in the response | [optional] <br />**Values**: externalTrunkBaseAssignments, phoneTrunkBaseAssignments |
{: class="table table-striped"}


### Return type

[**LogicalInterfaceEntityListing**](LogicalInterfaceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_logs_job"></a>

## [**EdgeLogsJob**](EdgeLogsJob.html) get_telephony_providers_edge_logs_job(edge_id, job_id)



Get an Edge logs job.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/logs/jobs/{jobId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

job_id = "job_id_example" # String | Job ID


begin
  #Get an Edge logs job.
  result = api_instance.get_telephony_providers_edge_logs_job(edge_id, job_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_logs_job: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **job_id** | **String**| Job ID |  |
{: class="table table-striped"}


### Return type

[**EdgeLogsJob**](EdgeLogsJob.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_metrics"></a>

## [**EdgeMetrics**](EdgeMetrics.html) get_telephony_providers_edge_metrics(edge_id)



Get the edge metrics.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/metrics 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Get the edge metrics.
  result = api_instance.get_telephony_providers_edge_metrics(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_metrics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

[**EdgeMetrics**](EdgeMetrics.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_physicalinterface"></a>

## [**DomainPhysicalInterface**](DomainPhysicalInterface.html) get_telephony_providers_edge_physicalinterface(edge_id, interface_id)



Get edge physical interface.

Retrieve a physical interface from a specific edge.

Wraps GET /api/v2/telephony/providers/edges/{edgeId}/physicalinterfaces/{interfaceId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

interface_id = "interface_id_example" # String | Interface ID


begin
  #Get edge physical interface.
  result = api_instance.get_telephony_providers_edge_physicalinterface(edge_id, interface_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_physicalinterface: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **interface_id** | **String**| Interface ID |  |
{: class="table table-striped"}


### Return type

[**DomainPhysicalInterface**](DomainPhysicalInterface.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_physicalinterfaces"></a>

## [**PhysicalInterfaceEntityListing**](PhysicalInterfaceEntityListing.html) get_telephony_providers_edge_physicalinterfaces(edge_id)



Retrieve a list of all configured physical interfaces from a specific edge.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/physicalinterfaces 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Retrieve a list of all configured physical interfaces from a specific edge.
  result = api_instance.get_telephony_providers_edge_physicalinterfaces(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_physicalinterfaces: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

[**PhysicalInterfaceEntityListing**](PhysicalInterfaceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_setuppackage"></a>

## [**VmPairingInfo**](VmPairingInfo.html) get_telephony_providers_edge_setuppackage(edge_id)



Get the setup package for a locally deployed edge device. This is needed to complete the setup process for the virtual edge.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/setuppackage 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Get the setup package for a locally deployed edge device. This is needed to complete the setup process for the virtual edge.
  result = api_instance.get_telephony_providers_edge_setuppackage(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_setuppackage: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

[**VmPairingInfo**](VmPairingInfo.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_softwareupdate"></a>

## [**DomainEdgeSoftwareUpdateDto**](DomainEdgeSoftwareUpdateDto.html) get_telephony_providers_edge_softwareupdate(edge_id)



Gets software update status information about any edge.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/softwareupdate 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Gets software update status information about any edge.
  result = api_instance.get_telephony_providers_edge_softwareupdate(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_softwareupdate: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

[**DomainEdgeSoftwareUpdateDto**](DomainEdgeSoftwareUpdateDto.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_softwareversions"></a>

## [**DomainEdgeSoftwareVersionDtoEntityListing**](DomainEdgeSoftwareVersionDtoEntityListing.html) get_telephony_providers_edge_softwareversions(edge_id)



Gets all the available software versions for this edge.



Wraps GET /api/v2/telephony/providers/edges/{edgeId}/softwareversions 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID


begin
  #Gets all the available software versions for this edge.
  result = api_instance.get_telephony_providers_edge_softwareversions(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_softwareversions: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
{: class="table table-striped"}


### Return type

[**DomainEdgeSoftwareVersionDtoEntityListing**](DomainEdgeSoftwareVersionDtoEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edge_trunks"></a>

## [**TrunkEntityListing**](TrunkEntityListing.html) get_telephony_providers_edge_trunks(edge_id, opts)



Get the list of available trunks for the given Edge.

Trunks are created by assigning trunk base settings to an Edge or Edge Group.

Wraps GET /api/v2/telephony/providers/edges/{edgeId}/trunks 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  page_number: 1, # Integer | Page number
  page_size: 25, # Integer | Page size
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC", # String | Sort order
  trunk_base_id: "trunk_base_id_example", # String | Filter by Trunk Base Ids
  trunk_type: "trunk_type_example" # String | Filter by a Trunk type
}

begin
  #Get the list of available trunks for the given Edge.
  result = api_instance.get_telephony_providers_edge_trunks(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edge_trunks: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **trunk_base_id** | **String**| Filter by Trunk Base Ids | [optional]  |
 **trunk_type** | **String**| Filter by a Trunk type | [optional] <br />**Values**: EXTERNAL, PHONE, EDGE |
{: class="table table-striped"}


### Return type

[**TrunkEntityListing**](TrunkEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges"></a>

## [**EdgeEntityListing**](EdgeEntityListing.html) get_telephony_providers_edges(opts)



Get the list of edges.



Wraps GET /api/v2/telephony/providers/edges 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example", # String | Name
  site_id: "site_id_example", # String | Filter by site.id
  edge_group_id: "edge_group_id_example", # String | Filter by edgeGroup.id
  sort_by: "name", # String | Sort by
  managed: true # BOOLEAN | Filter by managed
}

begin
  #Get the list of edges.
  result = api_instance.get_telephony_providers_edges(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **name** | **String**| Name | [optional]  |
 **site_id** | **String**| Filter by site.id | [optional]  |
 **edge_group_id** | **String**| Filter by edgeGroup.id | [optional]  |
 **sort_by** | **String**| Sort by | [optional] [default to name] |
 **managed** | **BOOLEAN**| Filter by managed | [optional]  |
{: class="table table-striped"}


### Return type

[**EdgeEntityListing**](EdgeEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_availablelanguages"></a>

## [**AvailableLanguageList**](AvailableLanguageList.html) get_telephony_providers_edges_availablelanguages



Get the list of available languages.



Wraps GET /api/v2/telephony/providers/edges/availablelanguages 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

begin
  #Get the list of available languages.
  result = api_instance.get_telephony_providers_edges_availablelanguages
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_availablelanguages: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**AvailableLanguageList**](AvailableLanguageList.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_certificateauthorities"></a>

## [**CertificateAuthorityEntityListing**](CertificateAuthorityEntityListing.html) get_telephony_providers_edges_certificateauthorities



Get the list of certificate authorities.



Wraps GET /api/v2/telephony/providers/edges/certificateauthorities 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

begin
  #Get the list of certificate authorities.
  result = api_instance.get_telephony_providers_edges_certificateauthorities
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_certificateauthorities: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**CertificateAuthorityEntityListing**](CertificateAuthorityEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_certificateauthority"></a>

## [**DomainCertificateAuthority**](DomainCertificateAuthority.html) get_telephony_providers_edges_certificateauthority(certificate_id)



Get a certificate authority.



Wraps GET /api/v2/telephony/providers/edges/certificateauthorities/{certificateId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

certificate_id = "certificate_id_example" # String | Certificate ID


begin
  #Get a certificate authority.
  result = api_instance.get_telephony_providers_edges_certificateauthority(certificate_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_certificateauthority: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certificate_id** | **String**| Certificate ID |  |
{: class="table table-striped"}


### Return type

[**DomainCertificateAuthority**](DomainCertificateAuthority.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_did"></a>

## [**DID**](DID.html) get_telephony_providers_edges_did(did_id)



Get a DID by ID.



Wraps GET /api/v2/telephony/providers/edges/dids/{didId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

did_id = "did_id_example" # String | DID ID


begin
  #Get a DID by ID.
  result = api_instance.get_telephony_providers_edges_did(did_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_did: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **did_id** | **String**| DID ID |  |
{: class="table table-striped"}


### Return type

[**DID**](DID.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_didpool"></a>

## [**DIDPool**](DIDPool.html) get_telephony_providers_edges_didpool(did_pool_id)



Get a DID Pool by ID.



Wraps GET /api/v2/telephony/providers/edges/didpools/{didPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

did_pool_id = "did_pool_id_example" # String | DID pool ID


begin
  #Get a DID Pool by ID.
  result = api_instance.get_telephony_providers_edges_didpool(did_pool_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_didpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **did_pool_id** | **String**| DID pool ID |  |
{: class="table table-striped"}


### Return type

[**DIDPool**](DIDPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_didpools"></a>

## [**DIDPoolEntityListing**](DIDPoolEntityListing.html) get_telephony_providers_edges_didpools(opts)



Get a listing of DID Pools



Wraps GET /api/v2/telephony/providers/edges/didpools 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "number", # String | Sort by
  id: ["id_example"] # Array<String> | Filter by a specific list of ID's
}

begin
  #Get a listing of DID Pools
  result = api_instance.get_telephony_providers_edges_didpools(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_didpools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Sort by | [optional] [default to number] |
 **id** | [**Array&lt;String&gt;**](String.html)| Filter by a specific list of ID&#39;s | [optional]  |
{: class="table table-striped"}


### Return type

[**DIDPoolEntityListing**](DIDPoolEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_dids"></a>

## [**DIDEntityListing**](DIDEntityListing.html) get_telephony_providers_edges_dids(opts)



Get a listing of DIDs



Wraps GET /api/v2/telephony/providers/edges/dids 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "number", # String | Sort by
  sort_order: "ASC", # String | Sort order
  phone_number: "phone_number_example", # String | Filter by phoneNumber
  owner_id: "owner_id_example", # String | Filter by the owner of a phone number
  did_pool_id: "did_pool_id_example", # String | Filter by the DID Pool assignment
  id: ["id_example"] # Array<String> | Filter by a specific list of ID's
}

begin
  #Get a listing of DIDs
  result = api_instance.get_telephony_providers_edges_dids(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_dids: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Sort by | [optional] [default to number] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **phone_number** | **String**| Filter by phoneNumber | [optional]  |
 **owner_id** | **String**| Filter by the owner of a phone number | [optional]  |
 **did_pool_id** | **String**| Filter by the DID Pool assignment | [optional]  |
 **id** | [**Array&lt;String&gt;**](String.html)| Filter by a specific list of ID&#39;s | [optional]  |
{: class="table table-striped"}


### Return type

[**DIDEntityListing**](DIDEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_edgegroup"></a>

## [**EdgeGroup**](EdgeGroup.html) get_telephony_providers_edges_edgegroup(edge_group_id, opts)



Get edge group.



Wraps GET /api/v2/telephony/providers/edges/edgegroups/{edgeGroupId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_group_id = "edge_group_id_example" # String | Edge group ID

opts = { 
  expand: ["expand_example"] # Array<String> | Fields to expand in the response
}

begin
  #Get edge group.
  result = api_instance.get_telephony_providers_edges_edgegroup(edge_group_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_edgegroup: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_group_id** | **String**| Edge group ID |  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response | [optional] <br />**Values**: phoneTrunkBases, edgeTrunkBaseAssignment |
{: class="table table-striped"}


### Return type

[**EdgeGroup**](EdgeGroup.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_edgegroup_edgetrunkbase"></a>

## [**EdgeTrunkBase**](EdgeTrunkBase.html) get_telephony_providers_edges_edgegroup_edgetrunkbase(edgegroup_id, edgetrunkbase_id)



Gets the edge trunk base associated with the edge group



Wraps GET /api/v2/telephony/providers/edges/edgegroups/{edgegroupId}/edgetrunkbases/{edgetrunkbaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edgegroup_id = "edgegroup_id_example" # String | Edge Group ID

edgetrunkbase_id = "edgetrunkbase_id_example" # String | Edge Trunk Base ID


begin
  #Gets the edge trunk base associated with the edge group
  result = api_instance.get_telephony_providers_edges_edgegroup_edgetrunkbase(edgegroup_id, edgetrunkbase_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_edgegroup_edgetrunkbase: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edgegroup_id** | **String**| Edge Group ID |  |
 **edgetrunkbase_id** | **String**| Edge Trunk Base ID |  |
{: class="table table-striped"}


### Return type

[**EdgeTrunkBase**](EdgeTrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_edgegroups"></a>

## [**EdgeGroupEntityListing**](EdgeGroupEntityListing.html) get_telephony_providers_edges_edgegroups(opts)



Get the list of edge groups.



Wraps GET /api/v2/telephony/providers/edges/edgegroups 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example", # String | Name
  sort_by: "name", # String | Sort by
  managed: true # BOOLEAN | Filter by managed
}

begin
  #Get the list of edge groups.
  result = api_instance.get_telephony_providers_edges_edgegroups(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_edgegroups: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **name** | **String**| Name | [optional]  |
 **sort_by** | **String**| Sort by | [optional] [default to name] |
 **managed** | **BOOLEAN**| Filter by managed | [optional]  |
{: class="table table-striped"}


### Return type

[**EdgeGroupEntityListing**](EdgeGroupEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_edgeversionreport"></a>

## [**EdgeVersionReport**](EdgeVersionReport.html) get_telephony_providers_edges_edgeversionreport



Get the edge version report.

The report will not have consistent data about the edge version(s) until all edges have been reset.

Wraps GET /api/v2/telephony/providers/edges/edgeversionreport 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

begin
  #Get the edge version report.
  result = api_instance.get_telephony_providers_edges_edgeversionreport
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_edgeversionreport: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**EdgeVersionReport**](EdgeVersionReport.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_extension"></a>

## [**Extension**](Extension.html) get_telephony_providers_edges_extension(extension_id)



Get an extension by ID.



Wraps GET /api/v2/telephony/providers/edges/extensions/{extensionId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

extension_id = "extension_id_example" # String | Extension ID


begin
  #Get an extension by ID.
  result = api_instance.get_telephony_providers_edges_extension(extension_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_extension: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **extension_id** | **String**| Extension ID |  |
{: class="table table-striped"}


### Return type

[**Extension**](Extension.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_extensionpool"></a>

## [**ExtensionPool**](ExtensionPool.html) get_telephony_providers_edges_extensionpool(extension_pool_id)



Get an extension pool by ID



Wraps GET /api/v2/telephony/providers/edges/extensionpools/{extensionPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

extension_pool_id = "extension_pool_id_example" # String | Extension pool ID


begin
  #Get an extension pool by ID
  result = api_instance.get_telephony_providers_edges_extensionpool(extension_pool_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_extensionpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **extension_pool_id** | **String**| Extension pool ID |  |
{: class="table table-striped"}


### Return type

[**ExtensionPool**](ExtensionPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_extensionpools"></a>

## [**ExtensionPoolEntityListing**](ExtensionPoolEntityListing.html) get_telephony_providers_edges_extensionpools(opts)



Get a listing of extension pools



Wraps GET /api/v2/telephony/providers/edges/extensionpools 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "startNumber", # String | Sort by
  number: "number_example" # String | Number
}

begin
  #Get a listing of extension pools
  result = api_instance.get_telephony_providers_edges_extensionpools(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_extensionpools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Sort by | [optional] [default to startNumber] |
 **number** | **String**| Number | [optional]  |
{: class="table table-striped"}


### Return type

[**ExtensionPoolEntityListing**](ExtensionPoolEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_extensions"></a>

## [**ExtensionEntityListing**](ExtensionEntityListing.html) get_telephony_providers_edges_extensions(opts)



Get a listing of extensions



Wraps GET /api/v2/telephony/providers/edges/extensions 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "number", # String | Sort by
  sort_order: "ASC", # String | Sort order
  number: "number_example" # String | Filter by number
}

begin
  #Get a listing of extensions
  result = api_instance.get_telephony_providers_edges_extensions(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_extensions: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Sort by | [optional] [default to number] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **number** | **String**| Filter by number | [optional]  |
{: class="table table-striped"}


### Return type

[**ExtensionEntityListing**](ExtensionEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_line"></a>

## [**Line**](Line.html) get_telephony_providers_edges_line(line_id)



Get a Line by ID



Wraps GET /api/v2/telephony/providers/edges/lines/{lineId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

line_id = "line_id_example" # String | Line ID


begin
  #Get a Line by ID
  result = api_instance.get_telephony_providers_edges_line(line_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_line: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **line_id** | **String**| Line ID |  |
{: class="table table-striped"}


### Return type

[**Line**](Line.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_linebasesetting"></a>

## [**LineBase**](LineBase.html) get_telephony_providers_edges_linebasesetting(line_base_id)



Get a line base settings object by ID



Wraps GET /api/v2/telephony/providers/edges/linebasesettings/{lineBaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

line_base_id = "line_base_id_example" # String | Line base ID


begin
  #Get a line base settings object by ID
  result = api_instance.get_telephony_providers_edges_linebasesetting(line_base_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_linebasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **line_base_id** | **String**| Line base ID |  |
{: class="table table-striped"}


### Return type

[**LineBase**](LineBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_linebasesettings"></a>

## [**LineBaseEntityListing**](LineBaseEntityListing.html) get_telephony_providers_edges_linebasesettings(opts)



Get a listing of line base settings objects



Wraps GET /api/v2/telephony/providers/edges/linebasesettings 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_number: 1, # Integer | Page number
  page_size: 25, # Integer | Page size
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC" # String | Sort order
}

begin
  #Get a listing of line base settings objects
  result = api_instance.get_telephony_providers_edges_linebasesettings(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_linebasesettings: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
{: class="table table-striped"}


### Return type

[**LineBaseEntityListing**](LineBaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_lines"></a>

## [**LineEntityListing**](LineEntityListing.html) get_telephony_providers_edges_lines(opts)



Get a list of Lines



Wraps GET /api/v2/telephony/providers/edges/lines 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example", # String | Name
  sort_by: "name", # String | Value by which to sort
  expand: ["expand_example"] # Array<String> | Fields to expand in the response, comma-separated
}

begin
  #Get a list of Lines
  result = api_instance.get_telephony_providers_edges_lines(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_lines: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **name** | **String**| Name | [optional]  |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response, comma-separated | [optional] <br />**Values**: properties, site, edgeGroup, primaryEdge, secondaryEdge, edges, assignedUser |
{: class="table table-striped"}


### Return type

[**LineEntityListing**](LineEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_lines_template"></a>

## [**Line**](Line.html) get_telephony_providers_edges_lines_template(line_base_settings_id)



Get a Line instance template based on a Line Base Settings object. This object can then be modified and saved as a new Line instance



Wraps GET /api/v2/telephony/providers/edges/lines/template 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

line_base_settings_id = "line_base_settings_id_example" # String | The id of a Line Base Settings object upon which to base this Line


begin
  #Get a Line instance template based on a Line Base Settings object. This object can then be modified and saved as a new Line instance
  result = api_instance.get_telephony_providers_edges_lines_template(line_base_settings_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_lines_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **line_base_settings_id** | **String**| The id of a Line Base Settings object upon which to base this Line |  |
{: class="table table-striped"}


### Return type

[**Line**](Line.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_logicalinterfaces"></a>

## [**LogicalInterfaceEntityListing**](LogicalInterfaceEntityListing.html) get_telephony_providers_edges_logicalinterfaces(edge_ids, opts)



Get edge logical interfaces.

Retrieve the configured logical interfaces for a list edges. Only 100 edges can be requested at a time.

Wraps GET /api/v2/telephony/providers/edges/logicalinterfaces 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_ids = "edge_ids_example" # String | Comma separated list of Edge Id's

opts = { 
  expand: ["expand_example"] # Array<String> | Field to expand in the response
}

begin
  #Get edge logical interfaces.
  result = api_instance.get_telephony_providers_edges_logicalinterfaces(edge_ids, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_logicalinterfaces: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_ids** | **String**| Comma separated list of Edge Id&#39;s |  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Field to expand in the response | [optional] <br />**Values**: externalTrunkBaseAssignments, phoneTrunkBaseAssignments |
{: class="table table-striped"}


### Return type

[**LogicalInterfaceEntityListing**](LogicalInterfaceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_metrics"></a>

## [**Array&lt;EdgeMetrics&gt;**](EdgeMetrics.html) get_telephony_providers_edges_metrics(edge_ids)



Get the metrics for a list of edges.



Wraps GET /api/v2/telephony/providers/edges/metrics 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_ids = "edge_ids_example" # String | Comma separated list of Edge Id's


begin
  #Get the metrics for a list of edges.
  result = api_instance.get_telephony_providers_edges_metrics(edge_ids)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_metrics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_ids** | **String**| Comma separated list of Edge Id&#39;s |  |
{: class="table table-striped"}


### Return type

[**Array&lt;EdgeMetrics&gt;**](EdgeMetrics.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_outboundroute"></a>

## [**OutboundRoute**](OutboundRoute.html) get_telephony_providers_edges_outboundroute(outbound_route_id)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Get outbound route



Wraps GET /api/v2/telephony/providers/edges/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID


begin
  #Get outbound route
  result = api_instance.get_telephony_providers_edges_outboundroute(outbound_route_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **outbound_route_id** | **String**| Outbound route ID |  |
{: class="table table-striped"}


### Return type

[**OutboundRoute**](OutboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_outboundroutes"></a>

## [**OutboundRouteEntityListing**](OutboundRouteEntityListing.html) get_telephony_providers_edges_outboundroutes(opts)



Get outbound routes



Wraps GET /api/v2/telephony/providers/edges/outboundroutes 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example", # String | Name
  site_id: "site_id_example", # String | Filter by site.id
  external_trunk_bases_ids: "external_trunk_bases_ids_example", # String | Filter by externalTrunkBases.ids
  sort_by: "name" # String | Sort by
}

begin
  #Get outbound routes
  result = api_instance.get_telephony_providers_edges_outboundroutes(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_outboundroutes: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **name** | **String**| Name | [optional]  |
 **site_id** | **String**| Filter by site.id | [optional]  |
 **external_trunk_bases_ids** | **String**| Filter by externalTrunkBases.ids | [optional]  |
 **sort_by** | **String**| Sort by | [optional] [default to name] |
{: class="table table-striped"}


### Return type

[**OutboundRouteEntityListing**](OutboundRouteEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phone"></a>

## [**Phone**](Phone.html) get_telephony_providers_edges_phone(phone_id)



Get a Phone by ID



Wraps GET /api/v2/telephony/providers/edges/phones/{phoneId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_id = "phone_id_example" # String | Phone ID


begin
  #Get a Phone by ID
  result = api_instance.get_telephony_providers_edges_phone(phone_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_id** | **String**| Phone ID |  |
{: class="table table-striped"}


### Return type

[**Phone**](Phone.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phonebasesetting"></a>

## [**PhoneBase**](PhoneBase.html) get_telephony_providers_edges_phonebasesetting(phone_base_id)



Get a Phone Base Settings object by ID



Wraps GET /api/v2/telephony/providers/edges/phonebasesettings/{phoneBaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_base_id = "phone_base_id_example" # String | Phone base ID


begin
  #Get a Phone Base Settings object by ID
  result = api_instance.get_telephony_providers_edges_phonebasesetting(phone_base_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phonebasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_base_id** | **String**| Phone base ID |  |
{: class="table table-striped"}


### Return type

[**PhoneBase**](PhoneBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phonebasesettings"></a>

## [**PhoneBaseEntityListing**](PhoneBaseEntityListing.html) get_telephony_providers_edges_phonebasesettings(opts)



Get a list of Phone Base Settings objects



Wraps GET /api/v2/telephony/providers/edges/phonebasesettings 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC", # String | Sort order
  expand: ["expand_example"], # Array<String> | Fields to expand in the response, comma-separated
  name: "name_example" # String | Name
}

begin
  #Get a list of Phone Base Settings objects
  result = api_instance.get_telephony_providers_edges_phonebasesettings(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phonebasesettings: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response, comma-separated | [optional] <br />**Values**: properties, lines |
 **name** | **String**| Name | [optional]  |
{: class="table table-striped"}


### Return type

[**PhoneBaseEntityListing**](PhoneBaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phonebasesettings_availablemetabases"></a>

## [**PhoneMetaBaseEntityListing**](PhoneMetaBaseEntityListing.html) get_telephony_providers_edges_phonebasesettings_availablemetabases(opts)



Get a list of available makes and models to create a new Phone Base Settings



Wraps GET /api/v2/telephony/providers/edges/phonebasesettings/availablemetabases 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #Get a list of available makes and models to create a new Phone Base Settings
  result = api_instance.get_telephony_providers_edges_phonebasesettings_availablemetabases(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phonebasesettings_availablemetabases: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**PhoneMetaBaseEntityListing**](PhoneMetaBaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phonebasesettings_template"></a>

## [**PhoneBase**](PhoneBase.html) get_telephony_providers_edges_phonebasesettings_template(phone_metabase_id)



Get a Phone Base Settings instance template from a given make and model. This object can then be modified and saved as a new Phone Base Settings instance



Wraps GET /api/v2/telephony/providers/edges/phonebasesettings/template 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_metabase_id = "phone_metabase_id_example" # String | The id of a metabase object upon which to base this Phone Base Settings


begin
  #Get a Phone Base Settings instance template from a given make and model. This object can then be modified and saved as a new Phone Base Settings instance
  result = api_instance.get_telephony_providers_edges_phonebasesettings_template(phone_metabase_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phonebasesettings_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_metabase_id** | **String**| The id of a metabase object upon which to base this Phone Base Settings |  |
{: class="table table-striped"}


### Return type

[**PhoneBase**](PhoneBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phones"></a>

## [**PhoneEntityListing**](PhoneEntityListing.html) get_telephony_providers_edges_phones(opts)



Get a list of Phone Instances



Wraps GET /api/v2/telephony/providers/edges/phones 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_number: 1, # Integer | Page number
  page_size: 25, # Integer | Page size
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC", # String | Sort order
  site_id: "site_id_example", # String | Filter by site.id
  web_rtc_user_id: "web_rtc_user_id_example", # String | Filter by webRtcUser.id
  phone_base_settings_id: "phone_base_settings_id_example", # String | Filter by phoneBaseSettings.id
  lines_logged_in_user_id: "lines_logged_in_user_id_example", # String | Filter by lines.loggedInUser.id
  lines_default_for_user_id: "lines_default_for_user_id_example", # String | Filter by lines.defaultForUser.id
  phone_hardware_id: "phone_hardware_id_example", # String | Filter by phone_hardwareId
  lines_id: "lines_id_example", # String | Filter by lines.id
  lines_name: "lines_name_example", # String | Filter by lines.name
  name: "name_example", # String | Name of the Phone to filter by
  expand: ["expand_example"], # Array<String> | Fields to expand in the response, comma-separated
  fields: ["fields_example"] # Array<String> | Fields and properties to get, comma-separated
}

begin
  #Get a list of Phone Instances
  result = api_instance.get_telephony_providers_edges_phones(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phones: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **site_id** | **String**| Filter by site.id | [optional]  |
 **web_rtc_user_id** | **String**| Filter by webRtcUser.id | [optional]  |
 **phone_base_settings_id** | **String**| Filter by phoneBaseSettings.id | [optional]  |
 **lines_logged_in_user_id** | **String**| Filter by lines.loggedInUser.id | [optional]  |
 **lines_default_for_user_id** | **String**| Filter by lines.defaultForUser.id | [optional]  |
 **phone_hardware_id** | **String**| Filter by phone_hardwareId | [optional]  |
 **lines_id** | **String**| Filter by lines.id | [optional]  |
 **lines_name** | **String**| Filter by lines.name | [optional]  |
 **name** | **String**| Name of the Phone to filter by | [optional]  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response, comma-separated | [optional] <br />**Values**: properties, site, status, status.primaryEdgesStatus, status.secondaryEdgesStatus, phoneBaseSettings, lines |
 **fields** | [**Array&lt;String&gt;**](String.html)| Fields and properties to get, comma-separated | [optional] <br />**Values**: webRtcUser, properties.*, lines.loggedInUser, lines.defaultForUser |
{: class="table table-striped"}


### Return type

[**PhoneEntityListing**](PhoneEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_phones_template"></a>

## [**Phone**](Phone.html) get_telephony_providers_edges_phones_template(phone_base_settings_id)



Get a Phone instance template based on a Phone Base Settings object. This object can then be modified and saved as a new Phone instance



Wraps GET /api/v2/telephony/providers/edges/phones/template 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_base_settings_id = "phone_base_settings_id_example" # String | The id of a Phone Base Settings object upon which to base this Phone


begin
  #Get a Phone instance template based on a Phone Base Settings object. This object can then be modified and saved as a new Phone instance
  result = api_instance.get_telephony_providers_edges_phones_template(phone_base_settings_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_phones_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_base_settings_id** | **String**| The id of a Phone Base Settings object upon which to base this Phone |  |
{: class="table table-striped"}


### Return type

[**Phone**](Phone.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_physicalinterfaces"></a>

## [**PhysicalInterfaceEntityListing**](PhysicalInterfaceEntityListing.html) get_telephony_providers_edges_physicalinterfaces(edge_ids)



Get physical interfaces for edges.

Retrieves a list of all configured physical interfaces for a list of edges. Only 100 edges can be requested at a time.

Wraps GET /api/v2/telephony/providers/edges/physicalinterfaces 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_ids = "edge_ids_example" # String | Comma separated list of Edge Id's


begin
  #Get physical interfaces for edges.
  result = api_instance.get_telephony_providers_edges_physicalinterfaces(edge_ids)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_physicalinterfaces: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_ids** | **String**| Comma separated list of Edge Id&#39;s |  |
{: class="table table-striped"}


### Return type

[**PhysicalInterfaceEntityListing**](PhysicalInterfaceEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site"></a>

## [**Site**](Site.html) get_telephony_providers_edges_site(site_id)



Get a Site by ID.



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId} 

Requires ANY permissions: 

* telephony:plugin:all
* telephony:sites:view


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID


begin
  #Get a Site by ID.
  result = api_instance.get_telephony_providers_edges_site(site_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
{: class="table table-striped"}


### Return type

[**Site**](Site.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site_numberplan"></a>

## [**NumberPlan**](NumberPlan.html) get_telephony_providers_edges_site_numberplan(site_id, number_plan_id)



Get a Number Plan by ID.



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId}/numberplans/{numberPlanId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

number_plan_id = "number_plan_id_example" # String | Number Plan ID


begin
  #Get a Number Plan by ID.
  result = api_instance.get_telephony_providers_edges_site_numberplan(site_id, number_plan_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site_numberplan: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **number_plan_id** | **String**| Number Plan ID |  |
{: class="table table-striped"}


### Return type

[**NumberPlan**](NumberPlan.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site_numberplans"></a>

## [**Array&lt;NumberPlan&gt;**](NumberPlan.html) get_telephony_providers_edges_site_numberplans(site_id)



Get the list of Number Plans for this Site. Only fetches the first 200 records.



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId}/numberplans 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID


begin
  #Get the list of Number Plans for this Site. Only fetches the first 200 records.
  result = api_instance.get_telephony_providers_edges_site_numberplans(site_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site_numberplans: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
{: class="table table-striped"}


### Return type

[**Array&lt;NumberPlan&gt;**](NumberPlan.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site_numberplans_classifications"></a>

## Array&lt;String&gt;** get_telephony_providers_edges_site_numberplans_classifications(site_id, opts)



Get a list of Classifications for this Site



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId}/numberplans/classifications 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

opts = { 
  classification: "classification_example" # String | Classification
}

begin
  #Get a list of Classifications for this Site
  result = api_instance.get_telephony_providers_edges_site_numberplans_classifications(site_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site_numberplans_classifications: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **classification** | **String**| Classification | [optional]  |
{: class="table table-striped"}


### Return type

**Array&lt;String&gt;**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site_outboundroute"></a>

## [**OutboundRouteBase**](OutboundRouteBase.html) get_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id)



Get an outbound route



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId}/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID


begin
  #Get an outbound route
  result = api_instance.get_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **outbound_route_id** | **String**| Outbound route ID |  |
{: class="table table-striped"}


### Return type

[**OutboundRouteBase**](OutboundRouteBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_site_outboundroutes"></a>

## [**OutboundRouteBaseEntityListing**](OutboundRouteBaseEntityListing.html) get_telephony_providers_edges_site_outboundroutes(site_id, opts)



Get outbound routes



Wraps GET /api/v2/telephony/providers/edges/sites/{siteId}/outboundroutes 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example", # String | Name
  external_trunk_bases_ids: "external_trunk_bases_ids_example", # String | externalTrunkBases.ids
  sort_by: "name" # String | Sort by
}

begin
  #Get outbound routes
  result = api_instance.get_telephony_providers_edges_site_outboundroutes(site_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_site_outboundroutes: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **name** | **String**| Name | [optional]  |
 **external_trunk_bases_ids** | **String**| externalTrunkBases.ids | [optional]  |
 **sort_by** | **String**| Sort by | [optional] [default to name] |
{: class="table table-striped"}


### Return type

[**OutboundRouteBaseEntityListing**](OutboundRouteBaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_sites"></a>

## [**SiteEntityListing**](SiteEntityListing.html) get_telephony_providers_edges_sites(opts)



Get the list of Sites.



Wraps GET /api/v2/telephony/providers/edges/sites 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "name", # String | Sort by
  sort_order: "ASC", # String | Sort order
  name: "name_example", # String | Name
  location_id: "location_id_example", # String | Location Id
  managed: true # BOOLEAN | Filter by managed
}

begin
  #Get the list of Sites.
  result = api_instance.get_telephony_providers_edges_sites(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_sites: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **sort_by** | **String**| Sort by | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **name** | **String**| Name | [optional]  |
 **location_id** | **String**| Location Id | [optional]  |
 **managed** | **BOOLEAN**| Filter by managed | [optional]  |
{: class="table table-striped"}


### Return type

[**SiteEntityListing**](SiteEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_timezones"></a>

## [**TimeZoneEntityListing**](TimeZoneEntityListing.html) get_telephony_providers_edges_timezones(opts)



Get a list of Edge-compatible time zones



Wraps GET /api/v2/telephony/providers/edges/timezones 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_size: 1000, # Integer | Page size
  page_number: 1 # Integer | Page number
}

begin
  #Get a list of Edge-compatible time zones
  result = api_instance.get_telephony_providers_edges_timezones(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_timezones: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 1000] |
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**TimeZoneEntityListing**](TimeZoneEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunk"></a>

## [**Trunk**](Trunk.html) get_telephony_providers_edges_trunk(trunk_id)



Get a Trunk by ID



Wraps GET /api/v2/telephony/providers/edges/trunks/{trunkId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_id = "trunk_id_example" # String | Trunk ID


begin
  #Get a Trunk by ID
  result = api_instance.get_telephony_providers_edges_trunk(trunk_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunk: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_id** | **String**| Trunk ID |  |
{: class="table table-striped"}


### Return type

[**Trunk**](Trunk.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunk_metrics"></a>

## [**TrunkMetrics**](TrunkMetrics.html) get_telephony_providers_edges_trunk_metrics(trunk_id)



Get the trunk metrics.



Wraps GET /api/v2/telephony/providers/edges/trunks/{trunkId}/metrics 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_id = "trunk_id_example" # String | Trunk Id


begin
  #Get the trunk metrics.
  result = api_instance.get_telephony_providers_edges_trunk_metrics(trunk_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunk_metrics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_id** | **String**| Trunk Id |  |
{: class="table table-striped"}


### Return type

[**TrunkMetrics**](TrunkMetrics.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunkbasesetting"></a>

## [**TrunkBase**](TrunkBase.html) get_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id, opts)



Get a Trunk Base Settings object by ID

Managed properties will not be returned unless the user is assigned the internal:trunk:edit permission.

Wraps GET /api/v2/telephony/providers/edges/trunkbasesettings/{trunkBaseSettingsId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_base_settings_id = "trunk_base_settings_id_example" # String | Trunk Base ID

opts = { 
  ignore_hidden: true # BOOLEAN | Set this to true to not receive trunk properties that are meant to be hidden or for internal system usage only.
}

begin
  #Get a Trunk Base Settings object by ID
  result = api_instance.get_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunkbasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_base_settings_id** | **String**| Trunk Base ID |  |
 **ignore_hidden** | **BOOLEAN**| Set this to true to not receive trunk properties that are meant to be hidden or for internal system usage only. | [optional]  |
{: class="table table-striped"}


### Return type

[**TrunkBase**](TrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunkbasesettings"></a>

## [**TrunkBaseEntityListing**](TrunkBaseEntityListing.html) get_telephony_providers_edges_trunkbasesettings(opts)



Get Trunk Base Settings listing

Managed properties will not be returned unless the user is assigned the internal:trunk:edit permission.

Wraps GET /api/v2/telephony/providers/edges/trunkbasesettings 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_number: 1, # Integer | Page number
  page_size: 25, # Integer | Page size
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC", # String | Sort order
  recording_enabled: true, # BOOLEAN | Filter trunks by recording enabled
  ignore_hidden: true, # BOOLEAN | Set this to true to not receive trunk properties that are meant to be hidden or for internal system usage only.
  managed: true, # BOOLEAN | Filter by managed
  expand: ["expand_example"], # Array<String> | Fields to expand in the response, comma-separated
  name: "name_example" # String | Name of the TrunkBase to filter by
}

begin
  #Get Trunk Base Settings listing
  result = api_instance.get_telephony_providers_edges_trunkbasesettings(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunkbasesettings: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **recording_enabled** | **BOOLEAN**| Filter trunks by recording enabled | [optional]  |
 **ignore_hidden** | **BOOLEAN**| Set this to true to not receive trunk properties that are meant to be hidden or for internal system usage only. | [optional]  |
 **managed** | **BOOLEAN**| Filter by managed | [optional]  |
 **expand** | [**Array&lt;String&gt;**](String.html)| Fields to expand in the response, comma-separated | [optional] <br />**Values**: properties |
 **name** | **String**| Name of the TrunkBase to filter by | [optional]  |
{: class="table table-striped"}


### Return type

[**TrunkBaseEntityListing**](TrunkBaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunkbasesettings_availablemetabases"></a>

## [**TrunkMetabaseEntityListing**](TrunkMetabaseEntityListing.html) get_telephony_providers_edges_trunkbasesettings_availablemetabases(opts)



Get a list of available makes and models to create a new Trunk Base Settings



Wraps GET /api/v2/telephony/providers/edges/trunkbasesettings/availablemetabases 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  type: "type_example", # String | 
  page_size: 25, # Integer | 
  page_number: 1 # Integer | 
}

begin
  #Get a list of available makes and models to create a new Trunk Base Settings
  result = api_instance.get_telephony_providers_edges_trunkbasesettings_availablemetabases(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunkbasesettings_availablemetabases: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **type** | **String**|  | [optional] <br />**Values**: EXTERNAL, PHONE, EDGE |
 **page_size** | **Integer**|  | [optional] [default to 25] |
 **page_number** | **Integer**|  | [optional] [default to 1] |
{: class="table table-striped"}


### Return type

[**TrunkMetabaseEntityListing**](TrunkMetabaseEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunkbasesettings_template"></a>

## [**TrunkBase**](TrunkBase.html) get_telephony_providers_edges_trunkbasesettings_template(trunk_metabase_id)



Get a Trunk Base Settings instance template from a given make and model. This object can then be modified and saved as a new Trunk Base Settings instance



Wraps GET /api/v2/telephony/providers/edges/trunkbasesettings/template 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_metabase_id = "trunk_metabase_id_example" # String | The id of a metabase object upon which to base this Trunk Base Settings


begin
  #Get a Trunk Base Settings instance template from a given make and model. This object can then be modified and saved as a new Trunk Base Settings instance
  result = api_instance.get_telephony_providers_edges_trunkbasesettings_template(trunk_metabase_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunkbasesettings_template: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_metabase_id** | **String**| The id of a metabase object upon which to base this Trunk Base Settings |  |
{: class="table table-striped"}


### Return type

[**TrunkBase**](TrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunks"></a>

## [**TrunkEntityListing**](TrunkEntityListing.html) get_telephony_providers_edges_trunks(opts)



Get the list of available trunks.

Trunks are created by assigning trunk base settings to an Edge or Edge Group.

Wraps GET /api/v2/telephony/providers/edges/trunks 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  page_number: 1, # Integer | Page number
  page_size: 25, # Integer | Page size
  sort_by: "name", # String | Value by which to sort
  sort_order: "ASC", # String | Sort order
  edge_id: "edge_id_example", # String | Filter by Edge Ids
  trunk_base_id: "trunk_base_id_example", # String | Filter by Trunk Base Ids
  trunk_type: "trunk_type_example" # String | Filter by a Trunk type
}

begin
  #Get the list of available trunks.
  result = api_instance.get_telephony_providers_edges_trunks(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunks: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_number** | **Integer**| Page number | [optional] [default to 1] |
 **page_size** | **Integer**| Page size | [optional] [default to 25] |
 **sort_by** | **String**| Value by which to sort | [optional] [default to name] |
 **sort_order** | **String**| Sort order | [optional] [default to ASC] |
 **edge_id** | **String**| Filter by Edge Ids | [optional]  |
 **trunk_base_id** | **String**| Filter by Trunk Base Ids | [optional]  |
 **trunk_type** | **String**| Filter by a Trunk type | [optional] <br />**Values**: EXTERNAL, PHONE, EDGE |
{: class="table table-striped"}


### Return type

[**TrunkEntityListing**](TrunkEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunks_metrics"></a>

## [**Array&lt;TrunkMetrics&gt;**](TrunkMetrics.html) get_telephony_providers_edges_trunks_metrics(trunk_ids)



Get the metrics for a list of trunks.



Wraps GET /api/v2/telephony/providers/edges/trunks/metrics 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_ids = "trunk_ids_example" # String | Comma separated list of Trunk Id's


begin
  #Get the metrics for a list of trunks.
  result = api_instance.get_telephony_providers_edges_trunks_metrics(trunk_ids)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunks_metrics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_ids** | **String**| Comma separated list of Trunk Id&#39;s |  |
{: class="table table-striped"}


### Return type

[**Array&lt;TrunkMetrics&gt;**](TrunkMetrics.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_telephony_providers_edges_trunkswithrecording"></a>

## [**TrunkRecordingEnabledCount**](TrunkRecordingEnabledCount.html) get_telephony_providers_edges_trunkswithrecording(opts)



Get Counts of trunks that have recording disabled or enabled



Wraps GET /api/v2/telephony/providers/edges/trunkswithrecording 

Requires ANY permissions: 

* recording:retentionPolicy:view
* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

opts = { 
  trunk_type: "trunk_type_example" # String | The type of this trunk base.
}

begin
  #Get Counts of trunks that have recording disabled or enabled
  result = api_instance.get_telephony_providers_edges_trunkswithrecording(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->get_telephony_providers_edges_trunkswithrecording: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_type** | **String**| The type of this trunk base. | [optional] <br />**Values**: EXTERNAL, PHONE, EDGE |
{: class="table table-striped"}


### Return type

[**TrunkRecordingEnabledCount**](TrunkRecordingEnabledCount.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_diagnostic_nslookup"></a>

## [**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html) post_telephony_providers_edge_diagnostic_nslookup(edge_id, body)



Nslookup request command to collect networking-related information from an Edge for a target IP or host.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/diagnostic/nslookup 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id

body = PureCloud::EdgeNetworkDiagnosticRequest.new # EdgeNetworkDiagnosticRequest | request payload to get network diagnostic


begin
  #Nslookup request command to collect networking-related information from an Edge for a target IP or host.
  result = api_instance.post_telephony_providers_edge_diagnostic_nslookup(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_diagnostic_nslookup: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
 **body** | [**EdgeNetworkDiagnosticRequest**](EdgeNetworkDiagnosticRequest.html)| request payload to get network diagnostic |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_diagnostic_ping"></a>

## [**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html) post_telephony_providers_edge_diagnostic_ping(edge_id, body)



Ping Request command to collect networking-related information from an Edge for a target IP or host.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/diagnostic/ping 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id

body = PureCloud::EdgeNetworkDiagnosticRequest.new # EdgeNetworkDiagnosticRequest | request payload to get network diagnostic


begin
  #Ping Request command to collect networking-related information from an Edge for a target IP or host.
  result = api_instance.post_telephony_providers_edge_diagnostic_ping(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_diagnostic_ping: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
 **body** | [**EdgeNetworkDiagnosticRequest**](EdgeNetworkDiagnosticRequest.html)| request payload to get network diagnostic |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_diagnostic_route"></a>

## [**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html) post_telephony_providers_edge_diagnostic_route(edge_id, body)



Route request command to collect networking-related information from an Edge for a target IP or host.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/diagnostic/route 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id

body = PureCloud::EdgeNetworkDiagnosticRequest.new # EdgeNetworkDiagnosticRequest | request payload to get network diagnostic


begin
  #Route request command to collect networking-related information from an Edge for a target IP or host.
  result = api_instance.post_telephony_providers_edge_diagnostic_route(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_diagnostic_route: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
 **body** | [**EdgeNetworkDiagnosticRequest**](EdgeNetworkDiagnosticRequest.html)| request payload to get network diagnostic |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_diagnostic_tracepath"></a>

## [**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html) post_telephony_providers_edge_diagnostic_tracepath(edge_id, body)



Tracepath request command to collect networking-related information from an Edge for a target IP or host.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/diagnostic/tracepath 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id

body = PureCloud::EdgeNetworkDiagnosticRequest.new # EdgeNetworkDiagnosticRequest | request payload to get network diagnostic


begin
  #Tracepath request command to collect networking-related information from an Edge for a target IP or host.
  result = api_instance.post_telephony_providers_edge_diagnostic_tracepath(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_diagnostic_tracepath: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
 **body** | [**EdgeNetworkDiagnosticRequest**](EdgeNetworkDiagnosticRequest.html)| request payload to get network diagnostic |  |
{: class="table table-striped"}


### Return type

[**EdgeNetworkDiagnostic**](EdgeNetworkDiagnostic.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_logicalinterfaces"></a>

## [**DomainLogicalInterface**](DomainLogicalInterface.html) post_telephony_providers_edge_logicalinterfaces(edge_id, body)



Create an edge logical interface.

Create

Wraps POST /api/v2/telephony/providers/edges/{edgeId}/logicalinterfaces 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

body = PureCloud::DomainLogicalInterface.new # DomainLogicalInterface | Logical interface


begin
  #Create an edge logical interface.
  result = api_instance.post_telephony_providers_edge_logicalinterfaces(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_logicalinterfaces: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**DomainLogicalInterface**](DomainLogicalInterface.html)| Logical interface |  |
{: class="table table-striped"}


### Return type

[**DomainLogicalInterface**](DomainLogicalInterface.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_logs_job_upload"></a>

##  post_telephony_providers_edge_logs_job_upload(edge_id, job_id, body)



Request that the specified fileIds be uploaded from the Edge.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/logs/jobs/{jobId}/upload 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

job_id = "job_id_example" # String | Job ID

body = PureCloud::EdgeLogsJobUploadRequest.new # EdgeLogsJobUploadRequest | Log upload request


begin
  #Request that the specified fileIds be uploaded from the Edge.
  api_instance.post_telephony_providers_edge_logs_job_upload(edge_id, job_id, body)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_logs_job_upload: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **job_id** | **String**| Job ID |  |
 **body** | [**EdgeLogsJobUploadRequest**](EdgeLogsJobUploadRequest.html)| Log upload request |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_logs_jobs"></a>

## [**EdgeLogsJobResponse**](EdgeLogsJobResponse.html) post_telephony_providers_edge_logs_jobs(edge_id, body)



Create a job to upload a list of Edge logs.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/logs/jobs 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

body = PureCloud::EdgeLogsJobRequest.new # EdgeLogsJobRequest | EdgeLogsJobRequest


begin
  #Create a job to upload a list of Edge logs.
  result = api_instance.post_telephony_providers_edge_logs_jobs(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_logs_jobs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**EdgeLogsJobRequest**](EdgeLogsJobRequest.html)| EdgeLogsJobRequest |  |
{: class="table table-striped"}


### Return type

[**EdgeLogsJobResponse**](EdgeLogsJobResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_reboot"></a>

## String** post_telephony_providers_edge_reboot(edge_id, opts)



Reboot an Edge



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/reboot 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  body: PureCloud::EdgeRebootParameters.new # EdgeRebootParameters | Parameters for the edge reboot
}

begin
  #Reboot an Edge
  result = api_instance.post_telephony_providers_edge_reboot(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_reboot: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**EdgeRebootParameters**](EdgeRebootParameters.html)| Parameters for the edge reboot | [optional]  |
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_softwareupdate"></a>

## [**DomainEdgeSoftwareUpdateDto**](DomainEdgeSoftwareUpdateDto.html) post_telephony_providers_edge_softwareupdate(edge_id, body)



Starts a software update for this edge.



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/softwareupdate 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

body = PureCloud::DomainEdgeSoftwareUpdateDto.new # DomainEdgeSoftwareUpdateDto | Software update request


begin
  #Starts a software update for this edge.
  result = api_instance.post_telephony_providers_edge_softwareupdate(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_softwareupdate: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**DomainEdgeSoftwareUpdateDto**](DomainEdgeSoftwareUpdateDto.html)| Software update request |  |
{: class="table table-striped"}


### Return type

[**DomainEdgeSoftwareUpdateDto**](DomainEdgeSoftwareUpdateDto.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_statuscode"></a>

## String** post_telephony_providers_edge_statuscode(edge_id, opts)



Take an Edge in or out of service



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/statuscode 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

opts = { 
  body: PureCloud::EdgeServiceStateRequest.new # EdgeServiceStateRequest | Edge Service State
}

begin
  #Take an Edge in or out of service
  result = api_instance.post_telephony_providers_edge_statuscode(edge_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_statuscode: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**EdgeServiceStateRequest**](EdgeServiceStateRequest.html)| Edge Service State | [optional]  |
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edge_unpair"></a>

## String** post_telephony_providers_edge_unpair(edge_id)



Unpair an Edge



Wraps POST /api/v2/telephony/providers/edges/{edgeId}/unpair 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge Id


begin
  #Unpair an Edge
  result = api_instance.post_telephony_providers_edge_unpair(edge_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edge_unpair: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge Id |  |
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges"></a>

## [**Edge**](Edge.html) post_telephony_providers_edges(body)



Create an edge.



Wraps POST /api/v2/telephony/providers/edges 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::Edge.new # Edge | Edge


begin
  #Create an edge.
  result = api_instance.post_telephony_providers_edges(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Edge**](Edge.html)| Edge |  |
{: class="table table-striped"}


### Return type

[**Edge**](Edge.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_addressvalidation"></a>

## [**ValidateAddressResponse**](ValidateAddressResponse.html) post_telephony_providers_edges_addressvalidation(body)



Validates a street address



Wraps POST /api/v2/telephony/providers/edges/addressvalidation 

Requires NO permissions: 



### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::ValidateAddressRequest.new # ValidateAddressRequest | Address


begin
  #Validates a street address
  result = api_instance.post_telephony_providers_edges_addressvalidation(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_addressvalidation: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ValidateAddressRequest**](ValidateAddressRequest.html)| Address |  |
{: class="table table-striped"}


### Return type

[**ValidateAddressResponse**](ValidateAddressResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_certificateauthorities"></a>

## [**DomainCertificateAuthority**](DomainCertificateAuthority.html) post_telephony_providers_edges_certificateauthorities(body)



Create a certificate authority.



Wraps POST /api/v2/telephony/providers/edges/certificateauthorities 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::DomainCertificateAuthority.new # DomainCertificateAuthority | CertificateAuthority


begin
  #Create a certificate authority.
  result = api_instance.post_telephony_providers_edges_certificateauthorities(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_certificateauthorities: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**DomainCertificateAuthority**](DomainCertificateAuthority.html)| CertificateAuthority |  |
{: class="table table-striped"}


### Return type

[**DomainCertificateAuthority**](DomainCertificateAuthority.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_didpools"></a>

## [**DIDPool**](DIDPool.html) post_telephony_providers_edges_didpools(body)



Create a new DID pool



Wraps POST /api/v2/telephony/providers/edges/didpools 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::DIDPool.new # DIDPool | DID pool


begin
  #Create a new DID pool
  result = api_instance.post_telephony_providers_edges_didpools(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_didpools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**DIDPool**](DIDPool.html)| DID pool |  |
{: class="table table-striped"}


### Return type

[**DIDPool**](DIDPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_edgegroups"></a>

## [**EdgeGroup**](EdgeGroup.html) post_telephony_providers_edges_edgegroups(body)



Create an edge group.



Wraps POST /api/v2/telephony/providers/edges/edgegroups 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::EdgeGroup.new # EdgeGroup | EdgeGroup


begin
  #Create an edge group.
  result = api_instance.post_telephony_providers_edges_edgegroups(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_edgegroups: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**EdgeGroup**](EdgeGroup.html)| EdgeGroup |  |
{: class="table table-striped"}


### Return type

[**EdgeGroup**](EdgeGroup.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_extensionpools"></a>

## [**ExtensionPool**](ExtensionPool.html) post_telephony_providers_edges_extensionpools(body)



Create a new extension pool



Wraps POST /api/v2/telephony/providers/edges/extensionpools 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::ExtensionPool.new # ExtensionPool | ExtensionPool


begin
  #Create a new extension pool
  result = api_instance.post_telephony_providers_edges_extensionpools(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_extensionpools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ExtensionPool**](ExtensionPool.html)| ExtensionPool |  |
{: class="table table-striped"}


### Return type

[**ExtensionPool**](ExtensionPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_outboundroutes"></a>

## [**OutboundRoute**](OutboundRoute.html) post_telephony_providers_edges_outboundroutes(body)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Create outbound rule



Wraps POST /api/v2/telephony/providers/edges/outboundroutes 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::OutboundRoute.new # OutboundRoute | OutboundRoute


begin
  #Create outbound rule
  result = api_instance.post_telephony_providers_edges_outboundroutes(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_outboundroutes: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**OutboundRoute**](OutboundRoute.html)| OutboundRoute |  |
{: class="table table-striped"}


### Return type

[**OutboundRoute**](OutboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_phone_reboot"></a>

##  post_telephony_providers_edges_phone_reboot(phone_id)



Reboot a Phone



Wraps POST /api/v2/telephony/providers/edges/phones/{phoneId}/reboot 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_id = "phone_id_example" # String | Phone Id


begin
  #Reboot a Phone
  api_instance.post_telephony_providers_edges_phone_reboot(phone_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_phone_reboot: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_id** | **String**| Phone Id |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_phonebasesettings"></a>

## [**PhoneBase**](PhoneBase.html) post_telephony_providers_edges_phonebasesettings(body)



Create a new Phone Base Settings object



Wraps POST /api/v2/telephony/providers/edges/phonebasesettings 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::PhoneBase.new # PhoneBase | Phone base settings


begin
  #Create a new Phone Base Settings object
  result = api_instance.post_telephony_providers_edges_phonebasesettings(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_phonebasesettings: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PhoneBase**](PhoneBase.html)| Phone base settings |  |
{: class="table table-striped"}


### Return type

[**PhoneBase**](PhoneBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_phones"></a>

## [**Phone**](Phone.html) post_telephony_providers_edges_phones(body)



Create a new Phone



Wraps POST /api/v2/telephony/providers/edges/phones 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::Phone.new # Phone | Phone


begin
  #Create a new Phone
  result = api_instance.post_telephony_providers_edges_phones(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_phones: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Phone**](Phone.html)| Phone |  |
{: class="table table-striped"}


### Return type

[**Phone**](Phone.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_phones_reboot"></a>

##  post_telephony_providers_edges_phones_reboot(body)



Reboot Multiple Phones



Wraps POST /api/v2/telephony/providers/edges/phones/reboot 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::PhonesReboot.new # PhonesReboot | Phones


begin
  #Reboot Multiple Phones
  api_instance.post_telephony_providers_edges_phones_reboot(body)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_phones_reboot: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PhonesReboot**](PhonesReboot.html)| Phones |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_site_outboundroutes"></a>

## [**OutboundRouteBase**](OutboundRouteBase.html) post_telephony_providers_edges_site_outboundroutes(site_id, body)



Create outbound route



Wraps POST /api/v2/telephony/providers/edges/sites/{siteId}/outboundroutes 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

body = PureCloud::OutboundRouteBase.new # OutboundRouteBase | OutboundRoute


begin
  #Create outbound route
  result = api_instance.post_telephony_providers_edges_site_outboundroutes(site_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_site_outboundroutes: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **body** | [**OutboundRouteBase**](OutboundRouteBase.html)| OutboundRoute |  |
{: class="table table-striped"}


### Return type

[**OutboundRouteBase**](OutboundRouteBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_site_rebalance"></a>

##  post_telephony_providers_edges_site_rebalance(site_id)



Triggers the rebalance operation.



Wraps POST /api/v2/telephony/providers/edges/sites/{siteId}/rebalance 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID


begin
  #Triggers the rebalance operation.
  api_instance.post_telephony_providers_edges_site_rebalance(site_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_site_rebalance: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_sites"></a>

## [**Site**](Site.html) post_telephony_providers_edges_sites(body)



Create a Site.



Wraps POST /api/v2/telephony/providers/edges/sites 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::Site.new # Site | Site


begin
  #Create a Site.
  result = api_instance.post_telephony_providers_edges_sites(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_sites: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Site**](Site.html)| Site |  |
{: class="table table-striped"}


### Return type

[**Site**](Site.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_telephony_providers_edges_trunkbasesettings"></a>

## [**TrunkBase**](TrunkBase.html) post_telephony_providers_edges_trunkbasesettings(body)



Create a Trunk Base Settings object



Wraps POST /api/v2/telephony/providers/edges/trunkbasesettings 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

body = PureCloud::TrunkBase.new # TrunkBase | Trunk base settings


begin
  #Create a Trunk Base Settings object
  result = api_instance.post_telephony_providers_edges_trunkbasesettings(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->post_telephony_providers_edges_trunkbasesettings: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**TrunkBase**](TrunkBase.html)| Trunk base settings |  |
{: class="table table-striped"}


### Return type

[**TrunkBase**](TrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edge"></a>

## [**Edge**](Edge.html) put_telephony_providers_edge(edge_id, body)



Update a edge.



Wraps PUT /api/v2/telephony/providers/edges/{edgeId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

body = PureCloud::Edge.new # Edge | Edge


begin
  #Update a edge.
  result = api_instance.put_telephony_providers_edge(edge_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edge: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **body** | [**Edge**](Edge.html)| Edge |  |
{: class="table table-striped"}


### Return type

[**Edge**](Edge.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edge_line"></a>

## [**EdgeLine**](EdgeLine.html) put_telephony_providers_edge_line(edge_id, line_id, body)



Update a line.



Wraps PUT /api/v2/telephony/providers/edges/{edgeId}/lines/{lineId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

line_id = "line_id_example" # String | Line ID

body = PureCloud::EdgeLine.new # EdgeLine | Line


begin
  #Update a line.
  result = api_instance.put_telephony_providers_edge_line(edge_id, line_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edge_line: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **line_id** | **String**| Line ID |  |
 **body** | [**EdgeLine**](EdgeLine.html)| Line |  |
{: class="table table-striped"}


### Return type

[**EdgeLine**](EdgeLine.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edge_logicalinterface"></a>

## [**DomainLogicalInterface**](DomainLogicalInterface.html) put_telephony_providers_edge_logicalinterface(edge_id, interface_id, body)



Update an edge logical interface.



Wraps PUT /api/v2/telephony/providers/edges/{edgeId}/logicalinterfaces/{interfaceId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_id = "edge_id_example" # String | Edge ID

interface_id = "interface_id_example" # String | Interface ID

body = PureCloud::DomainLogicalInterface.new # DomainLogicalInterface | Logical interface


begin
  #Update an edge logical interface.
  result = api_instance.put_telephony_providers_edge_logicalinterface(edge_id, interface_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edge_logicalinterface: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_id** | **String**| Edge ID |  |
 **interface_id** | **String**| Interface ID |  |
 **body** | [**DomainLogicalInterface**](DomainLogicalInterface.html)| Logical interface |  |
{: class="table table-striped"}


### Return type

[**DomainLogicalInterface**](DomainLogicalInterface.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_certificateauthority"></a>

## [**DomainCertificateAuthority**](DomainCertificateAuthority.html) put_telephony_providers_edges_certificateauthority(certificate_id, body)



Update a certificate authority.



Wraps PUT /api/v2/telephony/providers/edges/certificateauthorities/{certificateId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

certificate_id = "certificate_id_example" # String | Certificate ID

body = PureCloud::DomainCertificateAuthority.new # DomainCertificateAuthority | Certificate authority


begin
  #Update a certificate authority.
  result = api_instance.put_telephony_providers_edges_certificateauthority(certificate_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_certificateauthority: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certificate_id** | **String**| Certificate ID |  |
 **body** | [**DomainCertificateAuthority**](DomainCertificateAuthority.html)| Certificate authority |  |
{: class="table table-striped"}


### Return type

[**DomainCertificateAuthority**](DomainCertificateAuthority.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_did"></a>

## [**DID**](DID.html) put_telephony_providers_edges_did(did_id, body)



Update a DID by ID.



Wraps PUT /api/v2/telephony/providers/edges/dids/{didId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

did_id = "did_id_example" # String | DID ID

body = PureCloud::DID.new # DID | DID


begin
  #Update a DID by ID.
  result = api_instance.put_telephony_providers_edges_did(did_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_did: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **did_id** | **String**| DID ID |  |
 **body** | [**DID**](DID.html)| DID |  |
{: class="table table-striped"}


### Return type

[**DID**](DID.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_didpool"></a>

## [**DIDPool**](DIDPool.html) put_telephony_providers_edges_didpool(did_pool_id, body)



Update a DID Pool by ID.



Wraps PUT /api/v2/telephony/providers/edges/didpools/{didPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

did_pool_id = "did_pool_id_example" # String | DID pool ID

body = PureCloud::DIDPool.new # DIDPool | DID pool


begin
  #Update a DID Pool by ID.
  result = api_instance.put_telephony_providers_edges_didpool(did_pool_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_didpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **did_pool_id** | **String**| DID pool ID |  |
 **body** | [**DIDPool**](DIDPool.html)| DID pool |  |
{: class="table table-striped"}


### Return type

[**DIDPool**](DIDPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_edgegroup"></a>

## [**EdgeGroup**](EdgeGroup.html) put_telephony_providers_edges_edgegroup(edge_group_id, body)



Update an edge group.



Wraps PUT /api/v2/telephony/providers/edges/edgegroups/{edgeGroupId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edge_group_id = "edge_group_id_example" # String | Edge group ID

body = PureCloud::EdgeGroup.new # EdgeGroup | EdgeGroup


begin
  #Update an edge group.
  result = api_instance.put_telephony_providers_edges_edgegroup(edge_group_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_edgegroup: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edge_group_id** | **String**| Edge group ID |  |
 **body** | [**EdgeGroup**](EdgeGroup.html)| EdgeGroup |  |
{: class="table table-striped"}


### Return type

[**EdgeGroup**](EdgeGroup.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_edgegroup_edgetrunkbase"></a>

## [**EdgeTrunkBase**](EdgeTrunkBase.html) put_telephony_providers_edges_edgegroup_edgetrunkbase(edgegroup_id, edgetrunkbase_id, body)



Update the edge trunk base associated with the edge group



Wraps PUT /api/v2/telephony/providers/edges/edgegroups/{edgegroupId}/edgetrunkbases/{edgetrunkbaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

edgegroup_id = "edgegroup_id_example" # String | Edge Group ID

edgetrunkbase_id = "edgetrunkbase_id_example" # String | Edge Trunk Base ID

body = PureCloud::EdgeTrunkBase.new # EdgeTrunkBase | EdgeTrunkBase


begin
  #Update the edge trunk base associated with the edge group
  result = api_instance.put_telephony_providers_edges_edgegroup_edgetrunkbase(edgegroup_id, edgetrunkbase_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_edgegroup_edgetrunkbase: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **edgegroup_id** | **String**| Edge Group ID |  |
 **edgetrunkbase_id** | **String**| Edge Trunk Base ID |  |
 **body** | [**EdgeTrunkBase**](EdgeTrunkBase.html)| EdgeTrunkBase |  |
{: class="table table-striped"}


### Return type

[**EdgeTrunkBase**](EdgeTrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_extension"></a>

## [**Extension**](Extension.html) put_telephony_providers_edges_extension(extension_id, body)



Update an extension by ID.



Wraps PUT /api/v2/telephony/providers/edges/extensions/{extensionId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

extension_id = "extension_id_example" # String | Extension ID

body = PureCloud::Extension.new # Extension | Extension


begin
  #Update an extension by ID.
  result = api_instance.put_telephony_providers_edges_extension(extension_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_extension: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **extension_id** | **String**| Extension ID |  |
 **body** | [**Extension**](Extension.html)| Extension |  |
{: class="table table-striped"}


### Return type

[**Extension**](Extension.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_extensionpool"></a>

## [**ExtensionPool**](ExtensionPool.html) put_telephony_providers_edges_extensionpool(extension_pool_id, body)



Update an extension pool by ID



Wraps PUT /api/v2/telephony/providers/edges/extensionpools/{extensionPoolId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

extension_pool_id = "extension_pool_id_example" # String | Extension pool ID

body = PureCloud::ExtensionPool.new # ExtensionPool | ExtensionPool


begin
  #Update an extension pool by ID
  result = api_instance.put_telephony_providers_edges_extensionpool(extension_pool_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_extensionpool: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **extension_pool_id** | **String**| Extension pool ID |  |
 **body** | [**ExtensionPool**](ExtensionPool.html)| ExtensionPool |  |
{: class="table table-striped"}


### Return type

[**ExtensionPool**](ExtensionPool.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_outboundroute"></a>

## [**OutboundRoute**](OutboundRoute.html) put_telephony_providers_edges_outboundroute(outbound_route_id, body)

<span style="background-color: #f0ad4e;display: inline-block;padding: 7px;font-weight: bold;line-height: 1;color: #ffffff;text-align: center;white-space: nowrap;vertical-align: baseline;border-radius: .25em;margin: 10px 0;">DEPRECATED</span>

Update outbound route



Wraps PUT /api/v2/telephony/providers/edges/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID

body = PureCloud::OutboundRoute.new # OutboundRoute | OutboundRoute


begin
  #Update outbound route
  result = api_instance.put_telephony_providers_edges_outboundroute(outbound_route_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **outbound_route_id** | **String**| Outbound route ID |  |
 **body** | [**OutboundRoute**](OutboundRoute.html)| OutboundRoute |  |
{: class="table table-striped"}


### Return type

[**OutboundRoute**](OutboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_phone"></a>

## [**Phone**](Phone.html) put_telephony_providers_edges_phone(phone_id, body)



Update a Phone by ID



Wraps PUT /api/v2/telephony/providers/edges/phones/{phoneId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_id = "phone_id_example" # String | Phone ID

body = PureCloud::Phone.new # Phone | Phone


begin
  #Update a Phone by ID
  result = api_instance.put_telephony_providers_edges_phone(phone_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_phone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_id** | **String**| Phone ID |  |
 **body** | [**Phone**](Phone.html)| Phone |  |
{: class="table table-striped"}


### Return type

[**Phone**](Phone.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_phonebasesetting"></a>

## [**PhoneBase**](PhoneBase.html) put_telephony_providers_edges_phonebasesetting(phone_base_id, body)



Update a Phone Base Settings by ID



Wraps PUT /api/v2/telephony/providers/edges/phonebasesettings/{phoneBaseId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

phone_base_id = "phone_base_id_example" # String | Phone base ID

body = PureCloud::PhoneBase.new # PhoneBase | Phone base settings


begin
  #Update a Phone Base Settings by ID
  result = api_instance.put_telephony_providers_edges_phonebasesetting(phone_base_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_phonebasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **phone_base_id** | **String**| Phone base ID |  |
 **body** | [**PhoneBase**](PhoneBase.html)| Phone base settings |  |
{: class="table table-striped"}


### Return type

[**PhoneBase**](PhoneBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_site"></a>

## [**Site**](Site.html) put_telephony_providers_edges_site(site_id, body)



Update a Site by ID.



Wraps PUT /api/v2/telephony/providers/edges/sites/{siteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

body = PureCloud::Site.new # Site | Site


begin
  #Update a Site by ID.
  result = api_instance.put_telephony_providers_edges_site(site_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_site: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **body** | [**Site**](Site.html)| Site |  |
{: class="table table-striped"}


### Return type

[**Site**](Site.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_site_numberplans"></a>

## [**Array&lt;NumberPlan&gt;**](NumberPlan.html) put_telephony_providers_edges_site_numberplans(site_id, body)



Update the list of Number Plans. A user can update maximum 200 number plans at a time.



Wraps PUT /api/v2/telephony/providers/edges/sites/{siteId}/numberplans 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

body = [PureCloud::NumberPlan.new] # Array<NumberPlan> | List of number plans


begin
  #Update the list of Number Plans. A user can update maximum 200 number plans at a time.
  result = api_instance.put_telephony_providers_edges_site_numberplans(site_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_site_numberplans: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **body** | [**Array&lt;NumberPlan&gt;**](NumberPlan.html)| List of number plans |  |
{: class="table table-striped"}


### Return type

[**Array&lt;NumberPlan&gt;**](NumberPlan.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_site_outboundroute"></a>

## [**OutboundRouteBase**](OutboundRouteBase.html) put_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id, body)



Update outbound route



Wraps PUT /api/v2/telephony/providers/edges/sites/{siteId}/outboundroutes/{outboundRouteId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

site_id = "site_id_example" # String | Site ID

outbound_route_id = "outbound_route_id_example" # String | Outbound route ID

body = PureCloud::OutboundRouteBase.new # OutboundRouteBase | OutboundRoute


begin
  #Update outbound route
  result = api_instance.put_telephony_providers_edges_site_outboundroute(site_id, outbound_route_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_site_outboundroute: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **site_id** | **String**| Site ID |  |
 **outbound_route_id** | **String**| Outbound route ID |  |
 **body** | [**OutboundRouteBase**](OutboundRouteBase.html)| OutboundRoute |  |
{: class="table table-striped"}


### Return type

[**OutboundRouteBase**](OutboundRouteBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_telephony_providers_edges_trunkbasesetting"></a>

## [**TrunkBase**](TrunkBase.html) put_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id, body)



Update a Trunk Base Settings object by ID



Wraps PUT /api/v2/telephony/providers/edges/trunkbasesettings/{trunkBaseSettingsId} 

Requires ANY permissions: 

* telephony:plugin:all


### Example
```{"language":"ruby"}
# load the gem
require 'purecloudplatformclientv2'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TelephonyProvidersEdgeApi.new

trunk_base_settings_id = "trunk_base_settings_id_example" # String | Trunk Base ID

body = PureCloud::TrunkBase.new # TrunkBase | Trunk base settings


begin
  #Update a Trunk Base Settings object by ID
  result = api_instance.put_telephony_providers_edges_trunkbasesetting(trunk_base_settings_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TelephonyProvidersEdgeApi->put_telephony_providers_edges_trunkbasesetting: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trunk_base_settings_id** | **String**| Trunk Base ID |  |
 **body** | [**TrunkBase**](TrunkBase.html)| Trunk base settings |  |
{: class="table table-striped"}


### Return type

[**TrunkBase**](TrunkBase.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



